/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   solong.h                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/12/12 17:18:30 by cchauvet          #+#    #+#             */
/*   Updated: 2022/12/14 17:56:34 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef SOLONG_H
# define SOLONG_H
# include "minilibx-linux/mlx.h"
# include "libftx/libftx.h"
# define PIXEL_PATH "./textures/pixel.xpm"

typedef struct	s_data {
	void	*img;
	char	*addr;
	int		bits_per_pixel;
	int		line_length;
	int		endian;
}	t_data;

typedef struct	s_square {
	int		x;
	int		y;
	int		size;
	char	*color;
} t_square;

typedef struct	s_pixel {
	int		x;
	int		y;
	char	*color;
} t_pixel;

void	ft_draw_square(void *window_manager, void *window, t_square square);

#endif
